---
title: VideoTrackList.length
slug: Web/API/VideoTrackList/length
tags:
  - API
  - HTML DOM
  - Media
  - Property
  - Read-only
  - Reference
  - Video
  - VideoTrackList
  - length
  - list
  - track
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The read-only <strong>{{domxref("VideoTrackList")}}</strong> property <code><strong>length</strong></code> returns the number of entries in the <code>VideoTrackList</code>, each of which is a {{domxref("VideoTrack")}} representing one video track in the media element.</span> A value of 0 indicates that there are no video tracks in the media.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackCount</em> = <em>VideoTrackList</em>.length;</pre>

<h3 id="Value">Value</h3>

<p>A number indicating how many video tracks are included in the <code>VideoTrackList</code>. Each track can be accessed by treating the <code>VideoTrackList</code> as an array of objects of type {{domxref("VideoTrack")}}.</p>

<h2 id="Example">Example</h2>

<p>This snippet gets the number of video tracks in the first {{HTMLElement("video")}} element found in the {{Glossary("DOM")}} by {{domxref("Document.querySelector", "querySelector()")}}.</p>

<pre class="brush: js">var videoElem = document.querySelector("video");
var numVideoTracks = 0;

if (videoElem.videoTracks) {
  numVideoTracks = videoElem.videoTracks.length;
}
</pre>

<p>Note that this sample checks to be sure {{domxref("HTMLMediaElement.videoTracks")}} is defined, to avoid failing on browsers without support for {{domxref("VideoTrack")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-videotracklist-length', 'VideoTrackList: length')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VideoTrackList.length")}}</p>
